2010/2012 cMPs with certain graphics cards will run macOS 10.14 Mojave

Discussion in 'Mac Pro' started by frou, Jun 4, 2018.

  1. DearthnVader macrumors 6502a

    DearthnVader

    Joined:
    Dec 17, 2015
    Location:
    Red Springs, NC
    #2
    They often remover "lower" models that are supported in DP or Beta in the GM.
     
  2. tsialex macrumors 68040

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
  3. Susurs, Jun 4, 2018
    Last edited: Jun 4, 2018

    Susurs macrumors 6502a

    Susurs

    Joined:
    Jun 18, 2010
    #4
    Which series started to be Metal-capable graphics cards?
     
  4. thomasthegps macrumors regular

    Joined:
    Sep 23, 2015
    Location:
    France
    #5
    Officially 7950 or 680. In reality any modern AMD card will do.
     
  5. frou thread starter macrumors 6502

    frou

    Joined:
    Mar 14, 2009
    #6
    Maybe Apple exclusively recommends AMD? ;)
     
  6. eksu macrumors regular

    Joined:
    Aug 3, 2017
    #8
    I have a '09 4,1 to 5,1.

    I can't download the image from the Mac App Store, says my machine is unsupported.
     
  7. thomasthegps macrumors regular

    Joined:
    Sep 23, 2015
    Location:
    France
    #9
    Same here. What GPU do you have ?
     
  8. eksu macrumors regular

    Joined:
    Aug 3, 2017
    #10
    EFI R9-280X (7970).
     
  9. krakman macrumors regular

    Joined:
    Dec 3, 2009
    #11
    --- Post Merged, Jun 4, 2018 ---
    Supported Configurations macOS 10.14 supports: • MacBook (Early 2015 or newer) • MacBook Air (Mid 2012 or newer) • MacBook Pro (Mid 2012 or newer) • Mac mini (Late 2012 or newer) • iMac (Late 2012 or newer) • iMac Pro (2017) • Mac Pro (Late 2013, plus mid 2010 and mid 2012 models with recommended Metalcapable GPU) *Support for 2010 and 2012 Mac Pro models will be available in an upcoming beta
     
  10. bookemdano macrumors 65816

    Joined:
    Jul 29, 2011
    #12
    Supported Configurations macOS 10.14 supports: • MacBook (Early 2015 or newer) • MacBook Air (Mid 2012 or newer) • MacBook Pro (Mid 2012 or newer) • Mac mini (Late 2012 or newer) • iMac (Late 2012 or newer) • iMac Pro (2017) • Mac Pro (Late 2013, plus mid 2010 and mid 2012 models with recommended Metalcapable GPU) *Support for 2010 and 2012 Mac Pro models will be available in an upcoming beta
     
  11. pat500000 macrumors G3

    pat500000

    Joined:
    Jun 3, 2015
    #13
    Looks like some people will be stuck with current osx.
     
  12. bookemdano macrumors 65816

    Joined:
    Jul 29, 2011
    #14
    I have to say, this is kind of an exciting time to be a cMP 5,1 (and hopefully also 4,1->5,1) owner. Between what Apple may be officially giving us and what the smart folks here may unofficially give us, the future looks pretty bright.
     
  13. MisterAndrew macrumors 65816

    MisterAndrew

    Joined:
    Sep 15, 2015
    Location:
    Portland, Oregon
    #15
    I sent Apple Developer Support an email. We'll see if we get a response on what the recommendations are. :)
     
  14. mrhansolo macrumors member

    Joined:
    Oct 24, 2011
    #16
  15. MisterAndrew macrumors 65816

    MisterAndrew

    Joined:
    Sep 15, 2015
    Location:
    Portland, Oregon
    #17
    This means we will for sure get new firmware updates. Maybe they are making a special one that will give us boot screen etc on new AMD graphics cards for Mojave.
     
  16. crjackson2134 macrumors 68040

    crjackson2134

    Joined:
    Mar 6, 2013
    Location:
    Charlotte, NC
    #18
    And NVMe...

    Keep dreaming ;)
     
  17. mrhansolo macrumors member

    Joined:
    Oct 24, 2011
    #19
    A 4K boot screen would give me a reason to flash!
     
  18. Morpheo macrumors 65816

    Morpheo

    Joined:
    Feb 26, 2014
    Location:
    Paris/Montreal
    #20
    Well, this time I really need a new GPU! :)
     
  19. crjackson2134 macrumors 68040

    crjackson2134

    Joined:
    Mar 6, 2013
    Location:
    Charlotte, NC
    #21
    What GPU do you currently have?
     
  20. Morpheo macrumors 65816

    Morpheo

    Joined:
    Feb 26, 2014
    Location:
    Paris/Montreal
    #22
    The stock 5770.
     
  21. crjackson2134 macrumors 68040

    crjackson2134

    Joined:
    Mar 6, 2013
    Location:
    Charlotte, NC
    #23
    Yeah, I'd get a 7950 or 7970 EFI card.

    I wonder if my Apple HD 5870 works in HS and or will work in Mojave. I bought it as a BTO option when I got my 5,1 new in 2013 from Apple.
     
  22. AlexMaximus macrumors 6502a

    AlexMaximus

    Joined:
    Aug 15, 2006
    Location:
    A400M Base
    #24
    Another glorious year for the cMP 4.1 / 5.1 crowd. We win again. Thank you Apple for taking your time with the project management of the mp 7.1 - otherwise, we would have been off the table already. This is the best news of the entire month! One more year of full & free software support on all apps, isn't that something? One more year for all the upgrades to depreciate for a positive investment review.
     
  23. crjackson2134 macrumors 68040

    crjackson2134

    Joined:
    Mar 6, 2013
    Location:
    Charlotte, NC
    #25
    Even after a year has passed, It's likely you'll still be able to install newer versions. You may have to wait until someone develops a workaround however (or not, I may just work!).
     

Share This Page